### Type parameters

- #### TileDirections

- #### TileRef

- #### SoundRef

- #### PixelRef

### Hierarchy

- IASTGame

## Index

### Properties

- collisionLayers
- legendItems
- levels
- metadata
- rules
- sounds
- sprites
- title
- winConditions

## Properties

### collisionLayers

collisionLayers: Array<CollisionLayer<TileRef>>

- Defined in parser/astTypes.ts:295

### legendItems

legendItems: Array<LegendItem<TileRef>>

- Defined in parser/astTypes.ts:294

### levels

levels: Array<Level<TileRef>>

- Defined in parser/astTypes.ts:306

### metadata

metadata: Array<object>

- Defined in parser/astTypes.ts:292

### rules

rules: Array<Rule<RuleGroup<SimpleRule<B1<TileDirections, TileRef>, Command<SoundRef>>>, SimpleRule<B1<TileDirections, TileRef>, Command<SoundRef>>, B1<TileDirections, TileRef>, Command<SoundRef>>>

- Defined in parser/astTypes.ts:297

### sounds

sounds: Array<SoundItem<TileRef>>

- Defined in parser/astTypes.ts:296

### sprites

sprites: Array<Sprite<PixelRef>>

- Defined in parser/astTypes.ts:293

### title

title: string

- Defined in parser/astTypes.ts:291

### winConditions

winConditions: Array<WinCondition<TileRef>>

- Defined in parser/astTypes.ts:305

Generated using TypeDoc